Patch release

v3.2.4

Avo is so f***ing awesome. I am a java developer with 25 years of experience. I looked for a rapid application framework to build an internal ERP system for my small company. Its sooooo good. As a java developer without much ruby and rails know-how (only 1 or 2 tutorials), I could build up most of what I needed in ONE weekend. I wish I had that for java!!!.
Masiar Ighani
Masiar Ighani
CEO Skillbyte

Release notes

More information and release video here

🎸 Features

🐛 Bug Fixes

  • Set z-index for navbar to the highest value, equal only to flash alerts @bryszard (#2362)
  • 🐛 Fix empty resource file bug @RocKhalil (#2348)
  • fix: default overriding value when creation fails @Paul-Bob (#2299)
  • fix: actions download @Paul-Bob (#2269)
  • fix: bad navbar display on firefox @adrianthedev (#2320)
  • fix: invalid date_time @Paul-Bob (#2279)
  • fix: remove status field defaults and fix the neutral state @adrianthedev (#2316)
  • fix: secret key base warning @Paul-Bob (#2297)
  • fix: tabs persistence when tab name has spaces @Paul-Bob (#2278)
  • fix: stop caching dashboards in production @adrianthedev (#30)
  • fix: search cancel button missing label @Paul-Bob (#57)
  • fix: don't reset pagination on filter change @Paul-Bob (#24)

🤖 Maintenance

  • feature: tags field in the Community tier @adrianthedev (#2369)
  • [ruby] Update faker 3.2.2 → 3.2.3 (patch) @depfu (#2361)
  • [js] Update @yaireo/tagify 4.18.1 → 4.18.2 (patch) @depfu (#2358)
  • [ruby] Update bootsnap 1.17.0 → 1.17.1 (patch) @depfu (#2360)
  • [ruby] Update pagy 6.2.0 → 6.3.0 (minor) @depfu (#2355)
  • security: sanitize key_value field content @adrianthedev (#2357)
  • [js] Update css-loader 6.8.1 → 6.9.0 (minor) @depfu (#2354)
  • [ruby] Update erb-formatter 0.7.0 → 0.7.1 (minor) @depfu (#2356)
  • [ruby] Update view_component 3.9.0 → 3.10.0 (minor) @depfu (#2353)
  • chore: test ruby 3.3 @adrianthedev (#2331)
  • [js] Update turbo_power 0.6.0 → 0.6.1 (minor) @depfu (#2341)
  • chore(deps): bump puma from 6.4.1 to 6.4.2 @dependabot (#2339)
  • [ruby] Update turbo_power 0.6.0 → 0.6.1 (minor) @depfu (#2342)
  • [ruby] Update jsbundling-rails 1.2.1 → 1.2.2 (patch) @depfu (#2340)
  • [js] Update @yaireo/tagify 4.18.0 → 4.18.1 (patch) @depfu (#2335)
  • [js] Update tailwindcss 3.4.0 → 3.4.1 (patch) @depfu (#2334)
  • chore: check tailwindcss integration with github repo @adrianthedev (#2325)
  • [ruby] Update net-smtp 0.4.0 → 0.4.0.1 (minor) @depfu (#2330)
  • [js] Update postcss 8.4.32 → 8.4.33 (patch) @depfu (#2328)
  • [js] Update @yaireo/tagify 4.17.9 → 4.18.0 (minor) @depfu (#2329)
  • 🚨 [security] [ruby] Update view_component 3.8.0 → 3.9.0 (minor) @depfu (#2327)
  • [js] Update axios 1.6.3 → 1.6.4 (patch) @depfu (#2324)
  • [ruby] Update hotwire-livereload 1.3.0 → 1.3.1 (patch) @depfu (#2326)
  • chore: add tailwindcss integration test @adrianthedev (#2322)
  • [ruby] Update puma 6.4.0 → 6.4.1 (patch) @depfu (#2318)
  • chore: move scopes from pro to advanced @Paul-Bob (#2319)
  • [js] Update core-js 3.34.0 → 3.35.0 (minor) @depfu (#2303)
  • [ruby] Update factorybotrails 6.4.2 → 6.4.3 (patch) @depfu (#2307)
  • [js] Update all of babel7 7.23.6 → 7.23.7 (patch) @depfu (#2306)
  • [ruby] Update erb-formatter 0.6.0 → 0.7.0 (major) @depfu (#2304)
  • [js] Update @algolia/autocomplete-theme-classic 1.12.2 → 1.13.0 (minor) @depfu (#2292)
  • [js] Update postcss-loader 7.3.3 → 7.3.4 (patch) @depfu (#2298)
  • chore: bring back appraisals file @adrianthedev (#2373)

💡 Refactor

  • refactor: tailwind.css file clashes with other files @adrianthedev (#2253)
  • refactor: enable no params in cards @adrianthedev (#28)
  • refactor: move tags field to the Community tier @adrianthedev (#60)
  • refactor: move scopes from pro to advanced @Paul-Bob (#59)

For more information, check out Avo's release notes page